# Class Controller

#### Hierarchy

- Controller

- Defined in src/theme/selectorComponent.js:128

#####
Index

### Properties

filter
gmfThemeManager
gmfThemes_
listenerKeys_
themes

### Methods

handleDestroy_
setTheme
setThemes_

## Properties

### filter

filter: ((arg0) => boolean)

#### Type declaration

- - (arg0): boolean

  - #### Parameters

    - ##### arg0: any

    #### Returns boolean

- Defined in src/theme/selectorComponent.js:147

### gmfThemeManager

gmfThemeManager: any

- Defined in src/theme/selectorComponent.js:132

### gmfThemes_

gmfThemes_: any

- Defined in src/theme/selectorComponent.js:137

### listenerKeys_

listenerKeys_: EventsKey[]

- Defined in src/theme/selectorComponent.js:152

### themes

themes: any[]

- Defined in src/theme/selectorComponent.js:142
- Defined in src/theme/selectorComponent.js:165

## Methods

### handleDestroy_

- handleDestroy_(): void

- #### Returns void

  - Defined in src/theme/selectorComponent.js:181

### setTheme

- setTheme(theme, opt_silent?): void

- #### Parameters

  - ##### theme: any

    Theme.

  - ##### `Optional` opt_silent: boolean

    if true it will be no user message if the theme should be added but it's already added.

  #### Returns void

  - Defined in src/theme/selectorComponent.js:174

### setThemes_

- setThemes_(): void

- Store the loaded themes locally applying a filter (if any), then set the current theme.

  #### Returns void

  - Defined in src/theme/selectorComponent.js:162

Generated using TypeDoc